## org.apache.poi.hslf.record
Class RecordAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom

Direct Known Subclasses:
  AnimationInfoAtom, ColorSchemeAtom, Comment2000Atom, CString, DocumentAtom, DocumentEncryptionAtom, ExControlAtom, ExEmbedAtom, ExHyperlinkAtom, ExMediaAtom, ExObjListAtom, ExOleObjAtom, ExOleObjStg, FontEntityAtom, HeadersFootersAtom, InteractiveInfoAtom, NotesAtom, OEPlaceholderAtom, OEShapeAtom, OutlineTextRefAtom, PositionDependentRecordAtom, PPDrawing, PPDrawingGroup, RoundTripHFPlaceholder12, SlideAtom, SlidePersistAtom, SoundData, StyleTextPropAtom, TextBytesAtom, TextCharsAtom, TextHeaderAtom, TextRulerAtom, TextSpecInfoAtom, TxInteractiveInfoAtom, TxMasterStyleAtom, UnknownRecordPlaceholder

    public abstract class RecordAtom

extends Record

Abstract class which all atom records will extend.

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`RecordAtom()`

Method Summary
`Record[]` `getChildRecords()` We're an atom, returns null
`boolean` `isAnAtom()` We are an atom

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, getRecordType, writeLittleEndian, writeLittleEndian, writeOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordAtom

    public RecordAtom()

Method Detail

### isAnAtom

    public boolean isAnAtom()

  We are an atom

  Specified by:
    `isAnAtom` in class `Record`

### getChildRecords

    public Record[] getChildRecords()

  We're an atom, returns null

  Specified by:
    `getChildRecords` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.